Enable File-Based Application
Enables an application using a flat file.
Required Roles
Service Administrator, Power User
REST Resource
POST
/epm/rest/{api_version}/fileApplications/{application}/enableApplication
Request
Supported Media Types: application/json
The following table summarizes the client request.
Table 10-13 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
Name of the application to enable | Path | Yes | None |
Example URL
https://<BASE-URL>/epm/rest/v1/fileApplications/BksML12/enableApplication
Response
Supported Media Types: application/json
Table 10-14 Parameters
| Name | Description |
|---|---|
details |
Task ID, such as BksMl12_BksMl12_EnableApplication_D20160113T075011_53c_1 |
status |
See Migration Status Codes |
statusMessage |
Message about the status, such as Success |
type |
Profitability |
data |
Parameters as key value pairs |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Relationship type |
data |
Parameters as key value pairs passed in the request |
Example of Response Body
The following shows an example of the response body in JSON format.
{
"type":"Profitability",
"status":-1,
"statusMessage":"In Progress",
"details":"BksML30_EnableApplication_D20220511T114947_65c",
"links":[
{
"href":"https://<BASE-URL>/epm/rest/v1/applications/jobs/ChecktaskStatusJob/BksML30_EnableApplication_D20220511T114947_65c",
"action":"GET",
"rel":"Job Status"
}
]
}